
/*
 * 
 * Cache node structure :
 * dirtyBit = '1' if value is modified, '0' if not modified
 * referenceBit - To implement approximate LRU
 * An iterator will iterate through the list to find first page which has referenceBit = '0'
 * It replaces that key-value along with 3 following key-value pairs with the new key and its following
 * 3 key-value pairs in persistent storage 
 * If referenceBit = '1', set it to '0' and move forward(in circular fashion)
 * To implement perfect LRU(which might be costly in terms of performance) - need a global counter for time
 */
typedef struct cacheNode {
    char* key;
    char* value;
    char dirtyBit;
} cacheNode;

